Bug 243258 - (CVE-2007-1592) CVE-2007-1592 IPv6 oops triggerable by any user
CVE-2007-1592 IPv6 oops triggerable by any user
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity high
: ---
: ---
Assigned To: Jason Baron
Martin Jenner
impact=important,source=netdev,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 06:14 EDT by Marcel Holtmann
Modified: 2016-05-19 12:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-10 01:10:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2007-06-08 06:14:01 EDT
We accidently copy the ipv6 flow list to child sockets of listening TCP
sockets, but don't bump the reference count, clone the object, etc.  And
the list linkage of this object is not built such that multiple sockets
can point to it anyways.

Therefore if a listening socket has a flow list attached, when a child
connection closes we'll OOPS or double free the flow list entry.

Any user can trigger this.

Steps to reproduce this behavior:

1) Open listening IPV6 TCP socket
2) Attach a flowlabel with IPV6_FLOWLABEL_MGR socket option,
   freq->flr_action == IPV6_FL_A_GET and appropriate metadata.
3) Connect to that listening socket, and close()

http://marc.info/?l=linux-netdev&m=117406721731891&w=2

Note You need to log in before you can comment on or make changes to this bug.